Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowApplication

    java.lang.Object
      javax.faces.application.Application
          org.springframework.faces.webflow.FlowApplication

Direct Known Subclasses:
  Jsf2FlowApplication

    public class FlowApplication

extends javax.faces.application.Application

Wraps an `Application` instance in order to ensure Web Flow specific implementations of `ViewHandler` and `StateManager` are inserted at the front of the processing chain in JSF 1.2 and JSF 2.0 environments. This is done by intercepting the corresponding setters. All other methods are simple delegation methods.

Author:
  Rossen Stoyanchev
See Also:
  `Jsf2FlowApplication`

Constructor Summary
`FlowApplication(javax.faces.application.Application delegate)` Class constructor that accepts a delegate Application instance.

Method Summary
`void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)`
`void` | `addConverter(java.lang.Class<?> targetClass, java.lang.String converterClass)`
`void` | `addConverter(java.lang.String converterId, java.lang.String converterClass)`
`void` | `addELContextListener(javax.el.ELContextListener listener)`
`void` | `addELResolver(javax.el.ELResolver resolver)`
`void` | `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
`javax.faces.component.UIComponent` | `createComponent(java.lang.String componentType)`
`javax.faces.component.UIComponent` | `createComponent(javax.faces.el.ValueBinding componentBinding, javax.faces.context.FacesContext context, java.lang.String componentType)`
`javax.faces.component.UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, javax.faces.context.FacesContext context, java.lang.String componentType)`
`javax.faces.convert.Converter` | `createConverter(java.lang.Class<?> targetClass)`
`javax.faces.convert.Converter` | `createConverter(java.lang.String converterId)`
`javax.faces.el.MethodBinding` | `createMethodBinding(java.lang.String ref, java.lang.Class<?>[] params)`
`javax.faces.validator.Validator` | `createValidator(java.lang.String validatorId)`
`javax.faces.el.ValueBinding` | `createValueBinding(java.lang.String ref)`
`
`<T> T`
` | `evaluateExpressionGet(javax.faces.context.FacesContext context, java.lang.String expression, java.lang.Class<? extends T> expectedType)`
`javax.faces.event.ActionListener` | `getActionListener()`
`java.util.Iterator<java.lang.String>` | `getComponentTypes()`
`java.util.Iterator<java.lang.String>` | `getConverterIds()`
`java.util.Iterator<java.lang.Class<?>>` | `getConverterTypes()`
`java.util.Locale` | `getDefaultLocale()`
`java.lang.String` | `getDefaultRenderKitId()`
`javax.faces.application.Application` | `getDelegate()`
`javax.el.ELContextListener[]` | `getELContextListeners()`
`javax.el.ELResolver` | `getELResolver()`
`javax.el.ExpressionFactory` | `getExpressionFactory()`
`java.lang.String` | `getMessageBundle()`
`javax.faces.application.NavigationHandler` | `getNavigationHandler()`
`javax.faces.el.PropertyResolver` | `getPropertyResolver()`
`java.util.ResourceBundle` | `getResourceBundle(javax.faces.context.FacesContext ctx, java.lang.String name)`
`javax.faces.application.StateManager` | `getStateManager()`
`java.util.Iterator<java.util.Locale>` | `getSupportedLocales()`
`java.util.Iterator<java.lang.String>` | `getValidatorIds()`
`javax.faces.el.VariableResolver` | `getVariableResolver()`
`javax.faces.application.ViewHandler` | `getViewHandler()`
`void` | `removeELContextListener(javax.el.ELContextListener listener)`
`void` | `setActionListener(javax.faces.event.ActionListener listener)`
`void` | `setDefaultLocale(java.util.Locale locale)`
`void` | `setDefaultRenderKitId(java.lang.String renderKitId)`
`void` | `setMessageBundle(java.lang.String bundle)`
`void` | `setNavigationHandler(javax.faces.application.NavigationHandler handler)`
`void` | `setPropertyResolver(javax.faces.el.PropertyResolver resolver)`
`void` | `setStateManager(javax.faces.application.StateManager manager)` Inserts `FlowViewStateManager` in front of the given StateManager (if not already done).
`void` | `setSupportedLocales(java.util.Collection<java.util.Locale> locales)`
`void` | `setVariableResolver(javax.faces.el.VariableResolver resolver)`
`void` | `setViewHandler(javax.faces.application.ViewHandler handler)` Inserts a `FlowViewHandler` in front of the given ViewHandler (if not already done).

Methods inherited from class javax.faces.application.Application
`addBehavior, addDefaultValidatorId, createBehavior, createComponent, createComponent, createComponent, getBehaviorIds, getDefaultValidatorInfo, getFlowHandler, getProjectStage, getResourceHandler, publishEvent, publishEvent, setFlowHandler, setResourceHandler, subscribeToEvent, subscribeToEvent, unsubscribeFromEvent, unsubscribeFromEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowApplication

    public FlowApplication(javax.faces.application.Application delegate)

  Class constructor that accepts a delegate Application instance. If the delegate has default instantiation logic for its StateManager and ViewHandler instances, those will be wrapped with `FlowViewStateManager` and a `FlowViewHandler` instance.

  Parameters:
    `delegate` - the Application instance to delegate to.

Method Detail

### getDelegate

    public javax.faces.application.Application getDelegate()

  Returns:
    the wrapped Application instance

### getELContextListeners

    public javax.el.ELContextListener[] getELContextListeners()

  Overrides:
    `getELContextListeners` in class `javax.faces.application.Application`

### setStateManager

    public void setStateManager(javax.faces.application.StateManager manager)

  Inserts `FlowViewStateManager` in front of the given StateManager (if not already done).

  Specified by:
    `setStateManager` in class `javax.faces.application.Application`

### setViewHandler

    public void setViewHandler(javax.faces.application.ViewHandler handler)

  Inserts a `FlowViewHandler` in front of the given ViewHandler (if not already done).

  Specified by:
    `setViewHandler` in class `javax.faces.application.Application`

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClass)

  Specified by:
    `addComponent` in class `javax.faces.application.Application`

### addConverter

    public void addConverter(java.lang.String converterId,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`

### addConverter

    public void addConverter(java.lang.Class<?> targetClass,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `addELContextListener` in class `javax.faces.application.Application`

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)

  Overrides:
    `addELResolver` in class `javax.faces.application.Application`

### addValidator

    public void addValidator(java.lang.String validatorId,
                             java.lang.String validatorClass)

  Specified by:
    `addValidator` in class `javax.faces.application.Application`

### createComponent

    public javax.faces.component.UIComponent createComponent(java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.el.ValueBinding componentBinding,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Overrides:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.String converterId)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.Class<?> targetClass)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`

### createMethodBinding

    public javax.faces.el.MethodBinding createMethodBinding(java.lang.String ref,
                                                            java.lang.Class<?>[] params)
                                                     throws javax.faces.el.ReferenceSyntaxException

  Specified by:
    `createMethodBinding` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### createValidator

    public javax.faces.validator.Validator createValidator(java.lang.String validatorId)
                                                    throws javax.faces.FacesException

  Specified by:
    `createValidator` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### createValueBinding

    public javax.faces.el.ValueBinding createValueBinding(java.lang.String ref)
                                                   throws javax.faces.el.ReferenceSyntaxException

  Specified by:
    `createValueBinding` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### evaluateExpressionGet

    public <T> T evaluateExpressionGet(javax.faces.context.FacesContext context,
                                       java.lang.String expression,
                                       java.lang.Class<? extends T> expectedType)
                            throws javax.el.ELException

  Overrides:
    `evaluateExpressionGet` in class `javax.faces.application.Application`
  Throws:
    `javax.el.ELException`

### getActionListener

    public javax.faces.event.ActionListener getActionListener()

  Specified by:
    `getActionListener` in class `javax.faces.application.Application`

### getComponentTypes

    public java.util.Iterator<java.lang.String> getComponentTypes()

  Specified by:
    `getComponentTypes` in class `javax.faces.application.Application`

### getConverterIds

    public java.util.Iterator<java.lang.String> getConverterIds()

  Specified by:
    `getConverterIds` in class `javax.faces.application.Application`

### getConverterTypes

    public java.util.Iterator<java.lang.Class<?>> getConverterTypes()

  Specified by:
    `getConverterTypes` in class `javax.faces.application.Application`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

  Specified by:
    `getDefaultLocale` in class `javax.faces.application.Application`

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in class `javax.faces.application.Application`

### getELResolver

    public javax.el.ELResolver getELResolver()

  Overrides:
    `getELResolver` in class `javax.faces.application.Application`

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Overrides:
    `getExpressionFactory` in class `javax.faces.application.Application`

### getMessageBundle

    public java.lang.String getMessageBundle()

  Specified by:
    `getMessageBundle` in class `javax.faces.application.Application`

### getNavigationHandler

    public javax.faces.application.NavigationHandler getNavigationHandler()

  Specified by:
    `getNavigationHandler` in class `javax.faces.application.Application`

### getPropertyResolver

    public javax.faces.el.PropertyResolver getPropertyResolver()

  Specified by:
    `getPropertyResolver` in class `javax.faces.application.Application`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(javax.faces.context.FacesContext ctx,
                                                      java.lang.String name)

  Overrides:
    `getResourceBundle` in class `javax.faces.application.Application`

### getStateManager

    public javax.faces.application.StateManager getStateManager()

  Specified by:
    `getStateManager` in class `javax.faces.application.Application`

### getSupportedLocales

    public java.util.Iterator<java.util.Locale> getSupportedLocales()

  Specified by:
    `getSupportedLocales` in class `javax.faces.application.Application`

### getValidatorIds

    public java.util.Iterator<java.lang.String> getValidatorIds()

  Specified by:
    `getValidatorIds` in class `javax.faces.application.Application`

### getVariableResolver

    public javax.faces.el.VariableResolver getVariableResolver()

  Specified by:
    `getVariableResolver` in class `javax.faces.application.Application`

### getViewHandler

    public javax.faces.application.ViewHandler getViewHandler()

  Specified by:
    `getViewHandler` in class `javax.faces.application.Application`

### removeELContextListener

    public void removeELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `removeELContextListener` in class `javax.faces.application.Application`

### setActionListener

    public void setActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `setActionListener` in class `javax.faces.application.Application`

### setDefaultLocale

    public void setDefaultLocale(java.util.Locale locale)

  Specified by:
    `setDefaultLocale` in class `javax.faces.application.Application`

### setDefaultRenderKitId

    public void setDefaultRenderKitId(java.lang.String renderKitId)

  Specified by:
    `setDefaultRenderKitId` in class `javax.faces.application.Application`

### setMessageBundle

    public void setMessageBundle(java.lang.String bundle)

  Specified by:
    `setMessageBundle` in class `javax.faces.application.Application`

### setNavigationHandler

    public void setNavigationHandler(javax.faces.application.NavigationHandler handler)

  Specified by:
    `setNavigationHandler` in class `javax.faces.application.Application`

### setPropertyResolver

    public void setPropertyResolver(javax.faces.el.PropertyResolver resolver)

  Specified by:
    `setPropertyResolver` in class `javax.faces.application.Application`

### setSupportedLocales

    public void setSupportedLocales(java.util.Collection<java.util.Locale> locales)

  Specified by:
    `setSupportedLocales` in class `javax.faces.application.Application`

### setVariableResolver

    public void setVariableResolver(javax.faces.el.VariableResolver resolver)

  Specified by:
    `setVariableResolver` in class `javax.faces.application.Application`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD